{% extends 'core.html' %} 

{% block title %}Mis Sugerencias{% endblock %} 

{% load crispy_forms_tags %}

{% block staticload %}
{% load static %} 
{% endblock %} 

{% block content %}
<div class="container">
  <h3 class="display-5 mt-5 mb-3">Mis Sugerencias
    {% if total_suggestion == 1 %}
    <small class="text-muted">tienes {{total_suggestion}} sugerencia</small>
    {% else %}
    <small class="text-muted">tienes {{total_suggestion}} sugerencias</small>
    {% endif %}</h3>
    {% if suggestions %}
      {% for suggestion in suggestions %}
      <div class="card p-4 mb-3">
        <div class="row">
          <div class="col-10">
            <h6 class="dispaly-6"><strong>De: </strong>{{suggestion.sender.username}}</h6>
          </div>
          <div class="col-2">
            <div class="float-right"><a href="{{suggestion.get_delete_url}}">
              <span style="font-size: 1.5em; color: #dc3545;">
                <i class="far fa-trash-alt" aria-hidden="true"></i>
              </span></a>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <p><em> el {{suggestion.emission_date.date}}</em></p>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <h6 class="dispaly-6"><strong>Asunto: </strong>{{suggestion.slug}}</h6>
          </div>
        </div>
        <hr/>
        <div class="row">
          <div class="col-12">
            <p>{{ suggestion.message }}</p> 
          </div>
        </div>
      </div>
      {% endfor %}
    {% else %}
    <div class="container">
      <div class="card" style="position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%);">
        <div class="card-body">
            <p class="lead">De momento no existe ninguna sugerencia, revise más tarde !</p>
        </div>
      </div>
    </div>
    {% endif %}
  </h3>
</div>
{% endblock %}

{% block scriptfiles %}
{% endblock %}